Commet
  • Pricing
Log InTry out
Activate add-on POSTCreate add-on POSTDeactivate add-on DELETEDelete add-on DELETEGet add-on GETList active add-ons GETList add-ons GETUpdate add-on PUT
DocumentationKnowledge BaseBuild with AIAPI ReferenceWebhooks

Delete add-on

Soft-delete an add-on. Fails if the add-on has active subscriptions.

Deactivate add-on DELETE

Deactivate an add-on from a subscription.

Get add-on GET

Retrieve an add-on by its public ID or slug.

DELETE
/addons/{id}

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

curl -X DELETE "https://commet.co/api/v1/addons/string"

Soft-delete an add-on. Fails if the add-on has active subscriptions.

Add-on public ID or slug

{
  "success": true,
  "data": {
    "id": "string",
    "deleted": true
  }
}
{
  "success": false,
  "error": {
    "type": "validation_error",
    "code": "string",
    "message": "string",
    "doc_url": "string",
    "param": "string"
  }
}
{
  "success": false,
  "error": {
    "type": "validation_error",
    "code": "string",
    "message": "string",
    "doc_url": "string",
    "param": "string"
  }
}